<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Asso\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class AssoMember extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="AssoMember"; 
		$this->Alias = "AssoMember"; 

		$this->FirstName = new Property("FirstName", "FirstName", TEXTAREA,  false, $this->Alias); 
		$this->Name = new Property("Name", "Name", TEXTAREA,  false, $this->Alias); 
		$this->Email = new Property("Email", "Email", TEXTAREA,  false, $this->Alias); 
		$this->Phone = new Property("Phone", "Phone", TEXTAREA,  false, $this->Alias); 
		$this->Adress = new Property("Adress", "Adress", TEXTAREA,  false, $this->Alias); 
		$this->ZipCode = new Property("ZipCode", "ZipCode", TEXTAREA,  false, $this->Alias); 
		$this->City = new Property("City", "City", TEXTAREA,  false, $this->Alias); 
		
		$this->BirthDate = new Property("BirthDate", "BirthDate", DATEBOX,  false, $this->Alias); 
		$this->DateCreated = new Property("DateCreated", "DateCreated", DATEBOX,  false, $this->Alias); 
		$this->Status = new Property("Status", "Status", NUMERICBOX,  false, $this->Alias); 
		$this->MemberTypeId = new Property("MemberTypeId", "MemberTypeId", NUMERICBOX,  false, $this->Alias); 
		$this->UserId = new Property("UserId", "UserId", NUMERICBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>